<?php
namespace app\admin\controller;

use app\admin\service\TencentNLPService;
use think\facade\Session;

class AiController
{

    

    public function query()
    {
        // 验证输入
        $question = '如何学习PHP？';
       
        if (empty($question)) {
            return json(['code' => 400, 'msg' => '问题不能为空']);
        }

        // 记录操作日志
        $adminId = Session::get('admin.id');
        \think\facade\Log::info("AI问答 管理员：{$adminId} 问题：{$question}");

        // 获取答案
        $answer = (new TencentNLPService())->ask($question);

        return json([
            'code'   => 200,
            'answer' => $answer,
            'time'   => date('Y-m-d H:i:s')
        ]);
    }
}