<?php
declare (strict_types = 1);

namespace app\admin\controller;
use think\facade\View;
use think\facade\Db;


class Login 
{
    public function index()
    {
        
        //判断当前是否已登录过后台
        $adname =session('adname');
         // 站点信息
        $system=Db::name('system')->where('id',1)->find();

        if($adname==!null){
            echo '<script>window.location.href="/admin/"</script>';
        }
        View::assign([
            'system'=>$system,
        ]);
        
        return View::fetch('index');
    }

    public function login()
    {
        $data=input('post.');
        if(!captcha_check($data['captcha'])) {
            return json(['status'=>'fail','msg'=>'验证码错误']);
        }

        $admin=Db::name('admin')->where('adname',$data['adname'])->find();
        if($admin){
            if($admin['password']==md5($data['password'])){
                session('adname', $admin);
                return json(['status'=>'success','msg'=>'登录成功！']);
            }else{
                return json(['status'=>'fail','msg'=>'密码错误！']);
            }
        }else{
            return json(['status'=>'fail','msg'=>'管理员不存在！']);
        }
     
    }

    public function logout()
    {
        session(null);
        return json(['status'=>'success','msg'=>'退出成功！']);
    }

}
